Bug 114284 - compile time bugs
Summary: compile time bugs
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-system-monitor   
(Show other bugs)
Version: 1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Søren Sandmann Pedersen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-26 10:34 UTC by d.binderman
Modified: 2014-06-18 09:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-21 16:51:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2004-01-26 10:34:57 UTC
Description of problem:

I just tried to compile package gnome-system-monitor-2.4.0-1, from Redhat
Fedora Core 1.

The compiler said

1.

proctable.c:950: warning: too many arguments for format

The source code is

                dialog = gtk_message_dialog_new (NULL,
GTK_DIALOG_DESTROY_WITH_PARENT,
                                                 GTK_MESSAGE_ERROR,
GTK_BUTTONS_OK,
                                                 "%s", error, NULL);

Only one % specifier, but two parameters. I'm not sure what the
fix is for this.

2.

procactions.c:61: warning: too many arguments for format

The source code is

	dialog = gtk_message_dialog_new (NULL,
                                     GTK_DIALOG_DESTROY_WITH_PARENT,
                                     GTK_MESSAGE_ERROR,
                                     GTK_BUTTONS_OK,                 
                                               "%s",
                                     error_msg,
                                     NULL);

Duplicate.


3.

procactions.c:146: warning: too many arguments for format
procdialogs.c:909: warning: too many arguments for format
favorites.c:346: warning: too many arguments for format

More of the same.

4.

callbacks.c(639): warning #175: subscript out of range
callbacks.c(658): warning #175: subscript out of range

The source code is

        gchar *text[5];

        /* more code ... */

        text[5] = get_size_string (bfree);

        /* more code ... */

        g_free (text[5]);

Clearly broken code.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 John Thacker 2006-04-21 16:51:29 UTC
Again, this is only a warning, not an error.  The code works fine.  Not going to
patch upstream to silence warnings only.


Note You need to log in before you can comment on or make changes to this bug.